Complete update of an Insight alert configuration by id.Ask AIput https://clearpass-hostname/api/alert/{id}Path ParamsidintegerrequiredNumeric id of the alertBody ParamsRequest bodyidint64requiredNumeric id of the alertnamestringrequiredName of the alertdescriptionstringDescription of the alertcategorystringrequiredCategory of the alertsubcategorystringrequiredSub category is the template name of the alertemail_targetsobjectrequiredSend alert notification to the configured email targets, e.g. "email_targets":["...", "..."]email_targets objectsms_targetsobjectSend alert notification to the configured SMS targets, e.g. "sms_targets":["...", "..."]sms_targets objectconfigobjectSetting the alert filter configurations & adding CSV columns for the CSV report, e.g. "config": { "filter": { "auth.ap_name": { "operator": "EQUALS", "value": ["..."] }, "cppm_cluster.hostname": { "operator":"CONTAINS", "value":["...", "..."] } } }config objectseveritystringrequiredSeverity of the alert, either "critical" or "warning"thresholdint64requiredTriggering the alert when reaching the specified numeric threshold valueintervalint64requiredTriggering the alert at the numeric intervalinterval_unitstringrequiredInterval units either "minute" or "hour"is_enabledbooleanEnable/Disable the alerttruefalseis_mutedbooleanMute/Unmute the alerttruefalseResponses 200OK 204No Content 304Not Modified 401Unauthorized 403Forbidden 404Not Found 406Not Acceptable 415Unsupported Media TypeUpdated over 3 years ago